- FCOE fix bsc#982588 * Add 0212-fcoe_reorder_init_path.patch - Port missing SLES patches * Add 0197-95iscsi-Do-not-require-network-for-qla4xxx-flash-ses.patch * Add 0198-95iscsi-set-rd.iscsi.firmware-for-qla4xxx-sessions.patch * Remove 0194-95iscsi-Do-not-require-network-for-qla4xxx-flash-ses.patch * Remove 0195-95iscsi-set-rd.iscsi.firmware-for-qla4xxx-sessions.patch - Rewrite patch: * Add 0302-Revert-90multipath-add-hostonly-multipath.conf-in-ca.patch * Remove 0001-multipath_revert_mpathconf_binary_use.patch - Update 0403-95lunmask-Add-module-to-handle-LUN-masking.patch to match upstream kernel submission (FATE#319786) - Add IFS restoring where it has been lost due to mainline merging (bsc#977117) *Add 0500-Reset-IFS-variable.patch - Make sure to install collect binary (bsc#976466) * Add: 0188-95dasd_rules-Install-collect-udev-helper-binary.patch - Remove version from requires on subpackage - Add a split provide because of the package split for SLE12 SP1 to SP2 upgrade * 0001-multipath_revert_mpathconf_binary_use.patch (fate#320499) * 0170-iscsi-skip-ibft-invalid-dhcp.patch (bsc#953361) * 0160-s390-update_active_devices_initrd.patch (bsc#939101) * 0161-95zfcp_rules-simplified-rd.zfcp-commandline-for-NPIV.patch (bsc#964456) * 0190-replace-iscsistart-with-systemd-service-files.patch (fate#319024) * 0191-static_network_setup_return_zero.patch (bsc#919179) OBS-URL: https://build.opensuse.org/request/show/400457 OBS-URL: https://build.opensuse.org/package/show/Base:System/dracut?expand=0&rev=258
29 lines
894 B
Diff
29 lines
894 B
Diff
Index: dracut-044/modules.d/95iscsi/iscsiroot.sh
|
|
===================================================================
|
|
--- dracut-044.orig/modules.d/95iscsi/iscsiroot.sh 2016-04-14 15:20:04.089991822 +0200
|
|
+++ dracut-044/modules.d/95iscsi/iscsiroot.sh 2016-04-14 15:22:50.683407266 +0200
|
|
@@ -51,11 +51,23 @@ set_login_retries() {
|
|
|
|
handle_firmware()
|
|
{
|
|
+ local ifaces retry
|
|
+
|
|
if ! iscsiadm -m fw; then
|
|
warn "iscsiadm: Could not get list of targets from firmware."
|
|
return 1
|
|
fi
|
|
|
|
+ ifaces=( $(echo /sys/firmware/ibft/ethernet*) )
|
|
+ [ -f /tmp/session-retry ] || echo 1 > /tmp/session-retry
|
|
+ retry=$(cat /tmp/session-retry)
|
|
+
|
|
+ if [ $retry -lt ${#ifaces[*]} ]; then
|
|
+ let retry++
|
|
+ echo $retry > /tmp/session-retry
|
|
+ return 1
|
|
+ fi
|
|
+
|
|
if ! iscsiadm -m fw -l; then
|
|
warn "iscsiadm: Log-in to iscsi target failed"
|
|
fi
|